---
- name: Install DRP (systemd)
  become: true
  command:
    chdir: "{{ drp_install_script_path_systemd }}"
    cmd: >
      ./install.sh install --zip-file={{ drp_zip_path }}
      --remove-rocketskates=true
      --systemd
      --system-user="{{ drp_system_user }}"
      --system-group="{{ drp_system_user }}"
      --drp-home-dir="{{ drp_systemd_install_path }}"
      --drp-user="{{ drp_user }}"
      --drp-password="{{ drp_password }}"
      --drp-id="{{ drp_id }}"
    creates: "{{ drp_systemd_install_path }}"
  when: install_method == "systemd"

- name: Install DRP (isolated)
  become: true
  command:
    chdir: "{{ drp_isolated_install_path }}"
    cmd: "./install.sh install --zip-file={{ drp_zip_path }}
    --remove-rocketskates=true
    --isolated
    --drp-home-dir=/drp --drp-user={{ drp_user }}
    --drp-password={{ drp_password }}"
    creates: "{{ drp_isolated_install_path }}/dr-provision"
  when: install_method == "isolated"
